Name:       perl-Parse-BACKPAN-Packages
Version:    0.35
Release:    3%{?dist}
# lib/Parse/BACKPAN/Packages.pm -> GPL+ or Artistic
# lib/Parse/BACKPAN/Packages/Distribution.pm -> GPL+ or Artistic
# lib/Parse/BACKPAN/Packages/File.pm -> GPL+ or Artistic
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    Provide an index of BACKPAN
Source:     http://search.cpan.org/CPAN/authors/id/L/LB/LBROCARD/Parse-BACKPAN-Packages-%{version}.tar.gz
Url:        http://search.cpan.org/dist/Parse-BACKPAN-Packages
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(App::Cache)
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(CPAN::DistnameInfo)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Zlib)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Build::Compat)
# testing...
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)

# 'use base' strikes again...
Requires:      perl(Class::Accessor::Chained::Fast)

### auto-added reqs!
Requires:       perl(App::Cache)
Requires:       perl(CPAN::DistnameInfo)
Requires:       perl(Class::Accessor::Fast)
Requires:       perl(Compress::Zlib)
Requires:       perl(IO::Zlib)
Requires:       perl(LWP::UserAgent)

%description
The Comprehensive Perl Archive Network (CPAN) is a very useful
collection of Perl code. However, in order to keep CPAN relatively
small, authors of modules can delete older versions of modules to only
let CPAN have the latest version of a module. BACKPAN is where these
deleted modules are backed up. It's more like a full CPAN mirror, only
without the deletions. This module provides an index of BACKPAN and some
handy functions.  The data is fetched from the net and cached for an hour.

%prep
%setup -q -n Parse-BACKPAN-Packages-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
# tests require network access
%{?_with_network_tests: make test }

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.35-3
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.35-2
- rebuild against perl 5.10.1

* Tue Aug 25 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.35-1
- auto-update to 0.35 (by cpan-spec-update 0.01)
- added a new req on perl(App::Cache) (version 0)
- added a new req on perl(CPAN::DistnameInfo) (version 0)
- added a new req on perl(Class::Accessor::Fast) (version 0)
- added a new req on perl(Compress::Zlib) (version 0)
- added a new req on perl(IO::Zlib) (version 0)
- added a new req on perl(LWP::UserAgent) (version 0)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.34-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar 05 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.34-1
- submission
- conditionalize tests; they require network access

* Thu Mar 05 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.34-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)
